Subject: bug#14297: 24.3.50; emacs subprocesses don't exit on "exit"

From: Paul Eggert <[email-masked]>
Date: Mon, 13 May 2013 11:34:53 -0700

On second thought, please forget my patch.  get_child_status will abort
anyway, if the bug that I hypothesized occurs, so my patch isn't needed.

On 05/13/13 10:41, Eli Zaretskii wrote:

> How about this alternative idea: write a replacement waitpid, which
> will check if it is called by someone other than our main thread, and
> with its first argument negative, and then produce a backtrace or some
> message to stderr?  Would that work to trap calls to waitpid from GTK?

That could well work, yes, and it might be worth trying if we see
the right symptoms.  But since get_child_status is not aborting I
don't think we're seeing the right symptoms.